SoInterpolate(3)

NAME
SoInterpolate - The SoInterpolate class is the base class for all interpolator engines.

SYNOPSIS

#include <Inventor/engines/SoInterpolate.h>

Inherits SoEngine.

Inherited by SoInterpolateFloat, SoInterpolateRotation, SoInterpolateVec2f, SoInterpolateVec3f, and SoInterpolateVec4f.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void initClasses (void)

  Public Attributes
SoSFFloat alpha
SoEngineOutput output

  Protected Member Functions
SoInterpolate ()
virtual ~SoInterpolate (void)

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoInterpolate class is the base class for all interpolator engines. Interpolators are used to linearly interpolate between two values.

In Coin, we've chosen to implement all interpolators in separate files. If you want to be OIV compatible when programming, you should include the SoInterpolate.h, and not the interpolator file(s) you need.

Constructor & Destructor Documentation

  SoInterpolate::SoInterpolate (void) [protected]
Default constructor.

  SoInterpolate::~SoInterpolate (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoInterpolate::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoInterpolate::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

Reimplemented in SoInterpolateFloat, SoInterpolateRotation, SoInterpolateVec2f, SoInterpolateVec3f, and SoInterpolateVec4f.

  const SoFieldData ** SoInterpolate::getInputDataPtr (void) [static], [protected]
Returns the SoFieldData class which holds information about inputs in this engine.

  const SoEngineOutputData ** SoInterpolate::getOutputDataPtr (void) [static], [protected]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

  const SoFieldData * SoInterpolate::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoFieldContainer.

Reimplemented in SoInterpolateFloat, SoInterpolateRotation, SoInterpolateVec2f, SoInterpolateVec3f, and SoInterpolateVec4f.

  const SoEngineOutputData * SoInterpolate::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Implements SoEngine.

Reimplemented in SoInterpolateFloat, SoInterpolateRotation, SoInterpolateVec2f, SoInterpolateVec3f, and SoInterpolateVec4f.

  void SoInterpolate::initClasses (void) [static]
This method is provided only for API compatibility, and does nothing in Coin.

Member Data Documentation

  SoSFFloat SoInterpolate::alpha
The value which says how much we've should interpolate from first value to second value. A value equal to 0 will give an output equal to the first value, alpha equal to 1 gives the second value, any value in between gives a 'weighted' interpolation between the two values.

  SoEngineOutput SoInterpolate::output
Interpolated values from the input fields. The type of the output will of course be the same as the type of the input fields of each non-abstract subclass inheriting SoInterpolate.

Author

Generated automatically by Doxygen for Coin from the source code.